"""
Module for generating the Fibonacci numbers.
"""


def fib(n: int) -> list[int]:
    """Return the first `n` Fibonacci numbers.
    >>> fib(5)
    [1, 1, 2, 3 ,5]
    """
    result = []
    a, b = 1, 1
    while len(result) < n:
        result.append(a)
        a, b = b, a+b
    return result


def main() -> None:
    """Interactive printing of the Fibonacci numbers."""
    n_numbers = int(input('Required number of printed elements: '))
    numbers = fib(n_numbers)
    print(*numbers, sep=', ')


if __name__ == '__main__':
    main()
